#include <bits/stdc++.h>

using namespace std;

bool smaller(int x);

int find_number(int MAX) {
   int l = 0, r = MAX;

   while (l <= r) {
      int mid = (l + r) / 2;
      if (!smaller(mid)) {
         l = mid + 1;
      } else {
         r = mid - 1;
      }
   }

   return r;
}

#ifdef LOCAL
bool smaller(int x) {
   return x > 100;
}

signed main() {
   cout << find_number(1000) << endl;
   return 0;
}
#endif
